aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorArthur She <arthur.she@linaro.org>2020-09-21 21:23:36 -0700
committerArthur She <arthur.she@linaro.org>2020-09-21 21:23:36 -0700
commit992f4f485ca926b66e5354adf8852ca62ff86a9a (patch)
treee132cbc27d803645e53bf41f09fe5c7b27b45344
parentf84ee0d866d859617a43ceecfe0b03b21b1e7792 (diff)
igt: Check command snmpset in control_chamelium.sh
-rwxr-xr-xautomated/linux/igt/control_chamelium.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/automated/linux/igt/control_chamelium.sh b/automated/linux/igt/control_chamelium.sh
index 9f25782..32230ea 100755
--- a/automated/linux/igt/control_chamelium.sh
+++ b/automated/linux/igt/control_chamelium.sh
@@ -66,6 +66,10 @@ do
esac
done
+if [ -z `ls "${SNMPSET}"` ]; then
+ echo "Can not find ${SNMPSET}"
+ exit 1
+fi
if [ -z "${hostname}" ] || [ -z "${port}" ] || [ -z "${command}" ]; then
usage
exit 1